Subject: [bug#58157] [PATCH 1/2] gnu: Add emacs-elquery.

From: Nicolas Goaziou <[email-masked]>
Date: Thu, 29 Sep 2022 11:41:46 +0200

Hello,

jgart via Guix-patches via <[email-masked]> writes:

> * gnu/packages/emacs-xyz.scm (emacs-elquery): New variable.

Thank you. I activated tests, fixed a (native) compilation error and
applied your patch.

I also made the following changes:

> +    (description
> +"@code{emacs-elquery} is a library that lets you parse, query, set, and

Elquery is a ...

> +format HTML using Emacs Lisp.  It implements most of the @code{querySelector}
> +API with @code{elquery-$}, and can get and set HTML attributes.")

I dropped the "with @code{elquery-}" part, which sounds too internal for
a package description.

Regards,
-- 
Nicolas Goaziou